#version 300 es

precision highp float;

uniform float u_Time;
uniform vec2 u_Resolution;
uniform sampler2D u_Texture; // clamp

in vec2 v_TexCoord;

layout(location = 0) out vec4 o_FragColor;

#define VHSRES vec2(320.0,240.0)

void main() {
    vec2 uv = gl_FragCoord.xy / u_Resolution / u_Resolution * VHSRES;
    o_FragColor = texture( u_Texture, uv );
}
